Bug 471794 - "SKB BUG: Invalid truesize" kernel-2.6.27.5-37.fc9
"SKB BUG: Invalid truesize" kernel-2.6.27.5-37.fc9
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karen Noel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-16 08:33 EST by Mihai Harpau
Modified: 2013-01-09 06:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:02:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mihai Harpau 2008-11-16 08:33:04 EST
Description of problem:
When I try to install an OS in a VM KVM guest (for exemple Centos5.2, F10 rawhide etc.) trough a remote install method (netinstall.iso + repo url, direct repo url) with Virtual Machine Manager I see a lot of following messages:

SKB BUG: Invalid truesize (488) len=262, sizeof(sk_buff)=232
SKB BUG: Invalid truesize (488) len=262, sizeof(sk_buff)=232
SKB BUG: Invalid truesize (488) len=258, sizeof(sk_buff)=232
SKB BUG: Invalid truesize (488) len=260, sizeof(sk_buff)=232
SKB BUG: Invalid truesize (488) len=257, sizeof(sk_buff)=232
SKB BUG: Invalid truesize (488) len=260, sizeof(sk_buff)=232
SKB BUG: Invalid truesize (488) len=260, sizeof(sk_buff)=232
SKB BUG: Invalid truesize (488) len=260, sizeof(sk_buff)=232
SKB BUG: Invalid truesize (488) len=259, sizeof(sk_buff)=232
SKB BUG: Invalid truesize (488) len=261, sizeof(sk_buff)=232
SKB BUG: Invalid truesize (488) len=258, sizeof(sk_buff)=232

Version-Release number of selected component (if applicable):
Fedora 9 up-to-date
kernel kernel-2.6.27.5-37.fc9.x86_64, kernel-2.6.27.5-41.fc9.x86_64
virt-manager-0.5.4-5.fc9.x86_64
kvm-65-10.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mark McLoughlin 2008-11-19 05:45:05 EST
Mihai, could you confirm a couple of things for me:

  1) These error messages are in the host, not the guest, correct?

  2) Is there anything unusual about your networking setup - e.g. do you
     have an ipsec/openswan tunnel on the host?

The only skb->truesize code that jumps to mind is this commit:
 http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=f42157c

but this is a small skb, so we wouldn't ever allocate a paged skb.

There's also this upstream bug report:

  http://bugzilla.kernel.org/show_bug.cgi?id=10996
Comment 2 Mihai Harpau 2008-11-19 06:28:45 EST
Re: comment #1

1) Yes, the error messages are in the host not in the guest.

2) No, I don't have any ipsec/openswan tunnel on the host

3) The computer that show these error messages is connected to Internet through a USB ADSL modem using PPPoE

4) The error messages seems to appear more easily if I run in the same time a sniffer (iptraf, wireshark etc)
Comment 3 Bug Zapper 2009-06-09 23:17:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:02:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.